import { world, ItemStack, Location, MinecraftItemTypes, system, BlockLocation, BlockPermutation, MinecraftBlockTypes, Entity } from "@minecraft/server"


const blockList = Object.keys(MinecraftBlockTypes)
let list1 = Object.keys(MinecraftItemTypes).sort(() => Math.random() - 0.5);
let list2 = []
blockList.sort(() => Math.random() - 0.5);

function randomItem(x) {
    let keys = Object.keys(MinecraftItemTypes)
    return MinecraftItemTypes[keys[x]]
}


world.events.blockBreak.subscribe(ev => {
    const plr = ev.player
    const blk = ev.brokenBlockPermutation.type.id
    let locX = ev.block.location.x
    let locY = ev.block.location.y
    let locZ = ev.block.location.z

    for (let i = 0; i < blockList.length; i++) {
        if (blk.slice(10).replace(/_/g, "") == blockList[i].toLowerCase()) {
            world.getDimension("overworld").spawnItem(new ItemStack(randomItem(i), 1, 0), new Location(locX, locY, locZ))
        }
    }

})